SUSE SLED11 / SLES11 Security Update : curl (SUSE-SU-2015:0962-1)

Medium Nessus Plugin ID 83903

Synopsis

The remote SUSE host is missing one or more security updates.

Description

The curl tool and libcurl4 library have been updated to fix several security and non-security issues.

The following vulnerabilities have been fixed :

CVE-2015-3143: Re-using authenticated connection when unauthenticated.
(bsc#927556)

CVE-2015-3148: Negotiate not treated as connection-oriented.
(bsc#927746)

CVE-2015-3153: Sensitive HTTP server headers also sent to proxies.
(bsc#928533)

The following non-security issue has been fixed :

git fails to clone from https repository. (bsc#927174)

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Software Development Kit 11 SP3 :

zypper in -t patch sdksp3-curl=10660

SUSE Linux Enterprise Server 11 SP3 for VMware :

zypper in -t patch slessp3-curl=10660

SUSE Linux Enterprise Server 11 SP3 :

zypper in -t patch slessp3-curl=10660

SUSE Linux Enterprise Desktop 11 SP3 :

zypper in -t patch sledsp3-curl=10660

To bring your system up-to-date, use 'zypper patch'.

See Also

https://bugzilla.suse.com/show_bug.cgi?id=927174

https://bugzilla.suse.com/show_bug.cgi?id=927556

https://bugzilla.suse.com/show_bug.cgi?id=927746

https://bugzilla.suse.com/show_bug.cgi?id=928533

http://www.nessus.org/u?386b8563

https://www.suse.com/security/cve/CVE-2015-3143/

https://www.suse.com/security/cve/CVE-2015-3148/

https://www.suse.com/security/cve/CVE-2015-3153/

http://www.nessus.org/u?0afcc3ad

Plugin Details

Severity: Medium

ID: 83903

File Name: suse_SU-2015-0962-1.nasl

Version: 2.9

Type: local

Agent: unix

Published: 2015/05/29

Updated: 2018/11/29

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:curl, p-cpe:/a:novell:suse_linux:libcurl4, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/05/28

Reference Information

CVE: CVE-2015-3143, CVE-2015-3148, CVE-2015-3153

BID: 74299, 74301, 74408